<?php
function phptemplate_user_picture($account) {
  if (variable_get('user_pictures', 0)) {
    if ($account->picture && file_exists($account->picture)) {
      $picture = file_create_url($account->picture);
    }
    else if (variable_get('user_picture_default', '')) {
      $picture = variable_get('user_picture_default', '');
    }

    if (isset($picture)) {
      $alt = t("@user's picture", array('@user' => $account->name ? 
        $account->name : variable_get('anonymous', t('Anonymous'))));
      $picture = theme('image', $picture, $alt, $alt, '', FALSE);
      if (!empty($account->uid) && user_access('access user profiles')) {
        $picture = l($picture, "user/$account->uid", 
          array('title' => t('View user profile.')), NULL, NULL, FALSE, TRUE);
         $picture .= "<div align=\"center\">" . 
            userpoints_get_current_points($account->uid) . "<br /><a href=\"/userpoints\">points</a></div>";
      }

      return "<div class=\"picture\">$picture</div>";
    }
  }
}
?>
